Debian Bug report logs - #613337
lipsia: New upstream: 2.0.0

version graph

Package: lipsia; Maintainer for lipsia is NeuroDebian Team <team@neuro.debian.net>;

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Mon, 14 Feb 2011 07:51:05 UTC

Severity: normal

Found in version lipsia/1.6.0-4

Fixed in version 1.6.0-4+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#613337; Package lipsia. (Mon, 14 Feb 2011 07:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to NeuroDebian Team <team@neuro.debian.net>. (Mon, 14 Feb 2011 07:51:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lipsia: New upstream: 2.0.0
Date: Mon, 14 Feb 2011 08:49:53 +0100
Package: lipsia
Version: 1.6.0-4
Severity: normal


Dear maintainer,

  A new upstream of lipsia is now available at:

ftp://lipsia.cbs.mpg.de/lipsia/tgz/lipsia-2.0.0_svn128.tar.gz

thanks for updating the package

-- System Information:
Debian Release: 6.0
  APT prefers squeeze-updates
  APT policy: (500, 'squeeze-updates'), (500, 'stable'), (200, 'testing'), (100, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lipsia depends on:
ii  libc6                   2.11.2-10        Embedded GNU C Library: Shared lib
ii  libdcmtk1               3.5.4-4+b1       The OFFIS DICOM toolkit runtime li
ii  libfftw3-3              3.2.2-1          library for computing Fast Fourier
ii  libgcc1                 1:4.4.5-8        GCC support library
ii  libgl1-mesa-glx [libgl1 7.7.1-4          A free implementation of the OpenG
ii  libglu1-mesa [libglu1]  7.7.1-4          The OpenGL utility library (GLU)
ii  libgsl0ldbl             1.14+dfsg-1      GNU Scientific Library (GSL) -- li
ii  libice6                 2:1.0.6-2        X11 Inter-Client Exchange library
ii  libnifti2               2.0.0-1          IO libraries for the NIfTI-1 data 
ii  libqt3-mt               3:3.3.8b-7+b1    Qt GUI Library (Threaded runtime v
ii  libsm6                  2:1.1.1-1        X11 Session Management library
ii  libstdc++6              4.4.5-8          The GNU Standard C++ Library v3
ii  libvia0                 1.6.0-3          library for volumetric image analy
ii  libx11-6                2:1.3.3-4        X11 client-side library
ii  libxext6                2:1.1.2-1        X11 miscellaneous extension librar
ii  via-bin                 1.6.0-3          tools for volumetric image analysi
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages lipsia recommends:
ii  dcmtk                         3.5.4-4+b1 The OFFIS DICOM toolkit command li
ii  lipsia-doc                    1.6.0-4    documentation for LIPSIA

lipsia suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#613337; Package lipsia. (Mon, 14 Feb 2011 08:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to NeuroDebian Team <team@neuro.debian.net>. (Mon, 14 Feb 2011 08:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 613337@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: 613337@bugs.debian.org
Date: Mon, 14 Feb 2011 08:59:04 +0100
It would be nice if the package compilation was tested against dcmtk 3.6.0

Thanks




Information forwarded to debian-bugs-dist@lists.debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#613337; Package lipsia. (Wed, 23 Feb 2011 14:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <michael.hanke@gmail.com>:
Extra info received and forwarded to list. Copy sent to NeuroDebian Team <team@neuro.debian.net>. (Wed, 23 Feb 2011 14:24:03 GMT) Full text and rfc822 format available.

Message #15 received at submit@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>, 613337@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#613337: lipsia: New upstream: 2.0.0
Date: Wed, 23 Feb 2011 09:21:35 -0500
Hey,

On Mon, Feb 14, 2011 at 08:49:53AM +0100, Mathieu Malaterre wrote:
>   A new upstream of lipsia is now available at:
> 
> ftp://lipsia.cbs.mpg.de/lipsia/tgz/lipsia-2.0.0_svn128.tar.gz

Thanks for the note. The update is a little more complex, as it also
involves a library transition of the via package and an update of odin.

Regarding the DCMTK 3.6 version, do you have a time-frame when it would
come to unstable? You are using versioned -dev packages that would force
me to update the lipsia package again and I'd rather not push it to
experimental.

Cheers,

Michael


-- 
Michael Hanke
http://mih.voxindeserto.de




Information forwarded to debian-bugs-dist@lists.debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#613337; Package lipsia. (Wed, 23 Feb 2011 14:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <michael.hanke@gmail.com>:
Extra info received and forwarded to list. Copy sent to NeuroDebian Team <team@neuro.debian.net>. (Wed, 23 Feb 2011 14:24:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#613337; Package lipsia. (Wed, 23 Feb 2011 14:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <michael.hanke@gmail.com>:
Extra info received and forwarded to list. Copy sent to NeuroDebian Team <team@neuro.debian.net>. (Wed, 23 Feb 2011 14:48:03 GMT) Full text and rfc822 format available.

Message #25 received at submit@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>, 613337@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#613337: lipsia: New upstream: 2.0.0
Date: Wed, 23 Feb 2011 09:45:01 -0500
On Wed, Feb 23, 2011 at 09:21:35AM -0500, Michael Hanke wrote:
> Regarding the DCMTK 3.6 version, do you have a time-frame when it would
> come to unstable? You are using versioned -dev packages that would force
> me to update the lipsia package again and I'd rather not push it to
> experimental.

Never mind about this one. I just noticed that lipsia doesn't depend on
DCMTK anymore.

Michael

-- 
Michael Hanke
http://mih.voxindeserto.de




Information forwarded to debian-bugs-dist@lists.debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#613337; Package lipsia. (Wed, 23 Feb 2011 14:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <michael.hanke@gmail.com>:
Extra info received and forwarded to list. Copy sent to NeuroDebian Team <team@neuro.debian.net>. (Wed, 23 Feb 2011 14:48:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#613337; Package lipsia. (Thu, 09 Feb 2012 08:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <mih@debian.org>:
Extra info received and forwarded to list. Copy sent to NeuroDebian Team <team@neuro.debian.net>. (Thu, 09 Feb 2012 08:42:04 GMT) Full text and rfc822 format available.

Message #35 received at 613337@bugs.debian.org (full text, mbox):

From: Michael Hanke <mih@debian.org>
To: Debian Release Team <debian-release@lists.debian.org>
Cc: yoh@debian.org, 613337@bugs.debian.org, 633677@bugs.debian.org
Subject: libvia transition
Date: Thu, 9 Feb 2012 09:38:51 +0100
Dear Release Team,

I will upload a new SO version of LIBVIA shortly. Right now only ODIN
and LIPSIA use this library. The LIBVIA dependency of ODIN will be
dropped by the next upload (few more days). LIPSIA is currently totally
broken (#613337) and will be replaced with a new major version (probably
within the next 2-3 weeks). Before this can happen I need to upload a
new library package (ISIS; ITP #633677) that serves as the IO layer of
the new LIPSIA version, and a couple of upcoming packages. ISIS will
depend on the new VIA version.

As this transistion is a tiny one and all affected packages are
maintained by the NeuroDebian team I think that it would neither cause
trouble, nor do we need assistance.

Please let me know if I overlooked something and we should not do this
at this point.


Michael


-- 
Michael Hanke
http://mih.voxindeserto.de




Information forwarded to debian-bugs-dist@lists.debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#613337; Package lipsia. (Sun, 04 Mar 2012 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to NeuroDebian Team <team@neuro.debian.net>. (Sun, 04 Mar 2012 22:21:03 GMT) Full text and rfc822 format available.

Message #40 received at 613337@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Debian Release Team <debian-release@lists.debian.org>, yoh@debian.org, 613337@bugs.debian.org, 633677@bugs.debian.org
Subject: Re: libvia transition
Date: Sun, 4 Mar 2012 23:17:56 +0100
[Message part 1 (text/plain, inline)]
Hi Michael,

On Thu, Feb  9, 2012 at 09:38:51 +0100, Michael Hanke wrote:

> Dear Release Team,
> 
> I will upload a new SO version of LIBVIA shortly. Right now only ODIN
> and LIPSIA use this library. The LIBVIA dependency of ODIN will be
> dropped by the next upload (few more days).

how many is "few"? :)

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#613337; Package lipsia. (Mon, 05 Mar 2012 08:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <mih@debian.org>:
Extra info received and forwarded to list. Copy sent to NeuroDebian Team <team@neuro.debian.net>. (Mon, 05 Mar 2012 08:51:09 GMT) Full text and rfc822 format available.

Message #45 received at 613337@bugs.debian.org (full text, mbox):

From: Michael Hanke <mih@debian.org>
To: Julien Cristau <jcristau@debian.org>, 613337@bugs.debian.org
Cc: Debian Release Team <debian-release@lists.debian.org>, yoh@debian.org, 633677@bugs.debian.org
Subject: Re: Bug#613337: libvia transition
Date: Mon, 5 Mar 2012 09:49:16 +0100
Hi,

On Sun, Mar 04, 2012 at 11:17:56PM +0100, Julien Cristau wrote:
> On Thu, Feb  9, 2012 at 09:38:51 +0100, Michael Hanke wrote:
> > I will upload a new SO version of LIBVIA shortly. Right now only ODIN
> > and LIPSIA use this library. The LIBVIA dependency of ODIN will be
> > dropped by the next upload (few more days).
> 
> how many is "few"? :)

Thanks for moving this upwards on my TODO list. Of course things turned
out to be more complicated. New upstream version had some issues,
upstream needs more time, now libpng transition needs to be dealt with
for ODIN. If am lucky I can do all this sometime today. If not, I will
need few more days (TM) ;-)

Cheers,

Michael

-- 
Michael Hanke
http://mih.voxindeserto.de




Information forwarded to debian-bugs-dist@lists.debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#613337; Package lipsia. (Mon, 05 Mar 2012 08:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to NeuroDebian Team <team@neuro.debian.net>. (Mon, 05 Mar 2012 08:57:07 GMT) Full text and rfc822 format available.

Message #50 received at 613337@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 613337@bugs.debian.org, Debian Release Team <debian-release@lists.debian.org>, yoh@debian.org, 633677@bugs.debian.org
Subject: Re: Bug#613337: libvia transition
Date: Mon, 5 Mar 2012 09:53:18 +0100
On Mon, Mar  5, 2012 at 09:49:16 +0100, Michael Hanke wrote:

> Hi,
> 
> On Sun, Mar 04, 2012 at 11:17:56PM +0100, Julien Cristau wrote:
> > On Thu, Feb  9, 2012 at 09:38:51 +0100, Michael Hanke wrote:
> > > I will upload a new SO version of LIBVIA shortly. Right now only ODIN
> > > and LIPSIA use this library. The LIBVIA dependency of ODIN will be
> > > dropped by the next upload (few more days).
> > 
> > how many is "few"? :)
> 
> Thanks for moving this upwards on my TODO list. Of course things turned
> out to be more complicated. New upstream version had some issues,
> upstream needs more time, now libpng transition needs to be dealt with
> for ODIN. If am lucky I can do all this sometime today. If not, I will
> need few more days (TM) ;-)
> 
I don't think you need to do anything for libpng just yet FWIW.  But
thanks for the update.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, NeuroDebian Team <team@neuro.debian.net>:
Bug#613337; Package lipsia. (Mon, 05 Mar 2012 09:33:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Hanke <mih@debian.org>:
Extra info received and forwarded to list. Copy sent to NeuroDebian Team <team@neuro.debian.net>. (Mon, 05 Mar 2012 09:33:58 GMT) Full text and rfc822 format available.

Message #55 received at 613337@bugs.debian.org (full text, mbox):

From: Michael Hanke <mih@debian.org>
To: Julien Cristau <jcristau@debian.org>, 613337@bugs.debian.org, Debian Release Team <debian-release@lists.debian.org>, yoh@debian.org, 633677@bugs.debian.org
Subject: Re: Bug#613337: libvia transition
Date: Mon, 5 Mar 2012 10:20:41 +0100
On Mon, Mar 05, 2012 at 09:49:16AM +0100, Michael Hanke wrote:
> Thanks for moving this upwards on my TODO list. Of course things turned
> out to be more complicated. New upstream version had some issues,
> upstream needs more time, now libpng transition needs to be dealt with
> for ODIN. If am lucky I can do all this sometime today. If not, I will
> need few more days (TM) ;-)

I prepared an upload that only deals with the via-transition for now.
However, it doesn't build in unstable due to:

The following packages have unmet dependencies:
  libvtk5.8: Depends: libnetcdf6 which is a virtual package.

libnetcdf6 is a transitional package and VTK could use a rebuild. VTK
Git shows a new package upload is coming, but it hasn't arrived yet.
Changelog:

vtk (5.8.0-7) unstable; urgency=low

  * Prepare vtk for move to multi-arch (png,tiff,z,jpeg). Closes: #661676
  * Bump to Std-Vers: 3.9.3, no changes needed.

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sun, 04 Mar 2012 21:54:19 +0100


I guess this will resolve itself in a few days -- which I'll use to look
into the png-transition for ODIN.

Michael

-- 
Michael Hanke
http://mih.voxindeserto.de




Changed Bug submitter to 'Mathieu Malaterre <malat@debian.org>' from 'Mathieu Malaterre <mathieu.malaterre@gmail.com>' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:55:19 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sun, 27 May 2012 13:00:12 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <malat@debian.org>:
Bug acknowledged by developer. (Sun, 27 May 2012 13:00:12 GMT) Full text and rfc822 format available.

Message #62 received at 613337-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 598259-done@bugs.debian.org,604510-done@bugs.debian.org,613337-done@bugs.debian.org,623144-done@bugs.debian.org,
Cc: lipsia@packages.debian.org, lipsia@packages.qa.debian.org
Subject: Bug#674295: Removed package(s) from unstable
Date: Sun, 27 May 2012 12:57:11 +0000
Version: 1.6.0-4+rm

Dear submitter,

as the package lipsia has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/674295

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2012 07:38:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:36:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.